Package org.apache.storm.flux.model

# Enum Class GroupingDef.Type

java.lang.Object
java.lang.Enum<GroupingDef.Type>
org.apache.storm.flux.model.GroupingDef.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<GroupingDef.Type>`, `Constable`

Enclosing class:
  GroupingDef

public static enum GroupingDef.Type extends Enum<GroupingDef.Type>
Types of stream groupings Storm allows.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALL`
  `CUSTOM`
  `DIRECT`
  `FIELDS`
  `GLOBAL`
  `LOCAL_OR_SHUFFLE`
  `NONE`
  `SHUFFLE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static GroupingDef.Type`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static GroupingDef.Type[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ALL

    public static final GroupingDef.Type ALL

  - ### CUSTOM

    public static final GroupingDef.Type CUSTOM

  - ### DIRECT

    public static final GroupingDef.Type DIRECT

  - ### SHUFFLE

    public static final GroupingDef.Type SHUFFLE

  - ### LOCAL_OR_SHUFFLE

    public static final GroupingDef.Type LOCAL_OR_SHUFFLE

  - ### FIELDS

    public static final GroupingDef.Type FIELDS

  - ### GLOBAL

    public static final GroupingDef.Type GLOBAL

  - ### NONE

    public static final GroupingDef.Type NONE

- ## Method Details

  - ### values

    public static GroupingDef.Type[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static GroupingDef.Type valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null